org.apache.catalina.servlets

## Class DefaultServlet.CompressionFormat

- java.lang.Object
- - org.apache.catalina.servlets.DefaultServlet.CompressionFormat

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    DefaultServlet

      protected static class DefaultServlet.CompressionFormat
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `encoding`
    `String` | `extension`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultServlet.CompressionFormat(String extension, String encoding)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### extension

          public final String extension

    - #### encoding

          public final String encoding

  - ### Constructor Detail

    - #### DefaultServlet.CompressionFormat

          public DefaultServlet.CompressionFormat(String extension,
                                          String encoding)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.